Subject: Re: Impending publication: draft-iab-considerations-02.txt

From: Sally Floyd <[email-masked]>
Date: Fri, 06 Sep 2002 17:15:37 -0700

Lloyd -

>Couldn't this document be effectively combined with
>draft-ymbk-arch-guidelines-05.txt
>(also headed for informational)
>
>to make a much more comprehensive document that starts frmo RFC1958
>and builds up?

I don't think so, actually.  draft-iab-considerations-02.txt is
rather different from RFC1958 and draft-ymbk-arch-guidelines-05.txt
in that draft-iab-considerations-02.txt largely poses questions to
be asked, without necessarily giving answers, while the other two
documents are more oriented towards giving guidelines and principles.
One could argue that these are just differences in style, but I
don't think that is the case.  I think there is a useful place for
stating questions that we know are important questions, without
making too many claims about knowing the answers to the questions.

Our draft draft-iab-considerations-02.txt does have a section about
draft-ymbk-arch-guidelines-05.txt, and the related paper by Willinger
and Doyle on "Robustness and the Internet: Design and Evolution",
in Section 13.3 on "Discussion: complexity, robustness, and fragility";
I happen to be a particular fan of the Willinger and Doyle paper.  
That does not mean, however, that I agree with it, or with
draft-ymbk-arch-guidelines-05.txt;  my own view, which I have
communicated privately to the authors of both documents, are that
both documents are a touch one-sided, seeing the great problems
introduced by added complexity, but not always seeing the
sometimes-compelling motivations behind that added complexity.  
(I am particularly aware of the benefits when it comes to TCP, which
is the area where I have been involved in adding complexity for
some time now...) The challenge, it seems to me, is how to accommodate
added complexity when it is sufficiently compelling, while minimizing
the fragility and overhead that might go along with that added
complexity.

This means that, while I find draft-ymbk-arch-guidelines-05.txt
useful and interesting, I personally disagree with some of it.  For
example, about layering, I think that layering is sometimes one of
the properties that allows complexity with robustness instead of
fragility, and that very careful, explicit, and conscious communication
between layers, when necessary, might be one of the strategies that
allows layering to work.  This is different from the conclusions
in draft-ymbk-arch-guidelines-05.txt.  And some parts of
draft-ymbk-arch-guidelines-05.txt, e.g., the later parts on packet
vs. circuit switching, or the parts on the relationship between
complexity and the capital and operational expenditures for carrier
IP networks, are quite different in topic from
draft-iab-considerations-02.txt, and properly belong in an individual
submission rather than a document from the IAB (in my opinion).

And those are just my own private opinions.  I don't know what 
all of the opinions would be from the other IAB members.  I don't
see that it is necessary (or that it would be productive or useful)
to attempt an IAB-wide consensus, or an IETF-wide consensus, on all
of the issues in draft-ymbk-arch-guidelines-05.txt.  Though the IAB
*is* mulling over the idea of where to go next in terms of discussions
of the overall architecture...

- Sally
http://www.icir.org/floyd/

---

From: "Jim Fleming" <[email-masked]>
Date: Fri, 6 Sep 2002 20:12:16 -0500

From: "Sally Floyd" <[email-masked]>
...
"the IAB *is* mulling over the idea of where to go next in terms of discussions
of the overall architecture..."
=======

Since the ISOC is going to focus on cash-flow from the .ORG Registry operation
and appears to be focused on Washington D.C. and Geneva Switzerland...

Would it not make sense for the IETF to become part of ICANN ?...instead of the ISOC...?
With ICANN at the top of the 0:0 .ARPA Multi-Level-Marketing (MLM) structure, revenues
can be derived from address space leasing and the $1 per year fees on domain names.
That revenue could be used to construct an IETF Research Lab on a ranch ICANN
could buy in California, overlooking the ocean. Another option would be for the IAB to be
permanently housed in their own building in the Presidio. Forty year leases are available.
http://www.presidiotrust.org
http://www.atthepresidio.org/
http://www.presidiotrust.org/leasing/non_residential/building951.asp
Northern California may be a better location for the IETF and IAB than Southern California
of the East Coast of the U.S. All that money from the .ORG registrations will have
to be spent somewhere, in order to appear as a non-profit.

It might be good to have a scenic place to "mull" over those architecture directions...

Jim Fleming
2002:[IPv4]:000X:03DB:...IPv8 is closer than you think...
http://www.iana.org/assignments/ipv4-address-space
http://www.ntia.doc.gov/ntiahome/domainname/130dftmail/unir.txt

---

From: [email-masked]
Date: Fri, 06 Sep 2002 19:09:50 -0700

Because of the MLM (multilayered list mailing) I could not be certain who wrote this, but who
started teaching engineers and programmers to double speak like professional politicians?  Is
this where the stupidity of the Ipv6 came from or is this the opposition that is so fragile as
to allow it to occur?
Anyone want to hire a good strategist to help you sort out this mess?
call me at 1-800-garbage disposal.
e

 I personally disagree with some of it.  For
> allows layering to work.

Does this person work at the pentagon?

---

From: jfcm <[email-masked]>
Date: Sat, 07 Sep 2002 13:41:52 +0200

On 02:15 07/09/02, Sally Floyd said:
>For example, about layering, I think that layering is sometimes one of the
>properties that allows complexity with robustness instead of fragility,
>and that very careful, explicit, and conscious communication between
>layers, when necessary, might be one of the strategies that allows
>layering to work.

The hourglass: layers above and below permit complexity while retaining
core simplicity. May I add a comment to your document: a robustness aspect
[you could point out as "communication between wg-layers"] is end to end
lexical and grammatical consistency in their specifications. jfc